Summary: FrontPage Server Extensions for Linux x86
Name: frontpage
Version: 4.0
Vendor: Cobalt Networks Inc.
Release: 3
Copyright: Microsoft 1999, 2000
Packager: Will DeHaan, Cobalt Networks Inc. 
Group: Base
Source0: fp40.linux.tar.gz
Source1: we443.cnf

BuildRoot: /tmp/frontpage
BuildArchitectures: i386

%description
- Microsoft's FrontPage2000 Server Extensions for Red Hat linux on x86

%changelog
* Tue Jun 06 2000 Will DeHaan <will@cobalt.com>
- 4.0-3
- strip fpcount.exe, cuts executability in half

* Wed Apr 04 2000 Will DeHaan <will@cobalt.com>
- 4.0-2
- Added we443.cnf config file for secure form submission and SSL-enabled publishing
* Tue Aug 24 1999 Will DeHaan <will@cobaltnet.com>
- Initial rpm, frontpage

%prep
%setup -n frontpage

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/frontpage
cp -ar * $RPM_BUILD_ROOT/usr/local/frontpage
cp $RPM_SOURCE_DIR/we443.cnf $RPM_BUILD_ROOT/usr/local/frontpage/we443.cnf
cd /usr/src/redhat/BUILD/frontpage

%post
if [ -e /usr/local/frontpage/currentversion ]; then
  rm /usr/local/frontpage/currentversion
fi
ln -s /usr/local/frontpage/version4.0 /usr/local/frontpage/currentversion
/usr/bin/strip `/usr/bin/find /usr/local/frontpage -name fpcount.exe` 

%clean
rm -rf /tmp/frontpage

%files
%defattr(-,bin,bin)
%dir /usr/local/frontpage
/usr/local/frontpage/*
